
import 'dart:typed_data';

import 'package:test/test.dart';
import 'package:chainwallet/chainwallet.dart';
import 'package:chainwallet/src/utils/Util.dart';

void testRef(Uint8List buff){

    if(buff.length == 1){

      buff[0] = 10;
    }

}



void main(){


//  Uint8List buffer = new Uint8List(1);
//
//  String s = Util.formatBytesAsHexString(buffer);
//
//  testRef(buffer);
//
//  s = Util.formatBytesAsHexString(buffer);



  test('Chainsql generateAddress', () {

    //var accountFromSeed = Chainsql.decodeAddress("xpkpdVP3LKhtdSfQX3uHNs1f7jN42");
    String rootSecret = "xnnUqirFepEKzVdsoBKkMf577upwT";
     var res =  Chainsql.signTx(null,rootSecret);
     prints("$res ");


     var accountInfo =  Chainsql.generateAddress();
     print("accountInfo $accountInfo");


    expect(accountInfo.containsKey("address") ,true);
    expect(accountInfo.containsKey("secret") ,true);
    expect(accountInfo.containsKey("publicKey") ,true);

     var accountFromSeed = Chainsql.generateAddressFromStr("xpkpdVP3LKhtdSfQX3uHNs1f7jN42");

     print("accountFromSeed $accountFromSeed");

     expect(accountFromSeed["address"] ,"zKa9fxNT4KJwya73M4TYiCKxCQv97511Ve");
     expect(accountFromSeed["secret"] ,"xpkpdVP3LKhtdSfQX3uHNs1f7jN42");
     expect(accountFromSeed["publicKey"] ,"cB4e4YpAbPTLyYHmHmEBpLHCNU9TQc8jBUgERoAoQJBkhxT5fRfw");


  });

}